Skip to content

Cancel a consultation

PATCH
/consultation/{consultationId}/cancel
curl --request PATCH \
--url https://client-api.abi.ai/consultation/8910zyx321cba/cancel \
--header 'Authorization: Bearer <token>'
consultationId
required
string

The Abi identifier of the consultation.

Example
8910zyx321cba

Consultation cancelled.

Media typeapplication/json

The durable record returned by the consultation endpoints. Fields such as answers, professional information, files, and ratings appear as the consultation progresses.

object
consultationId

The Abi identifier for the consultation.

string
userId

The Abi identifier of the user who submitted the consultation.

string
status

The current consultation workflow status.

string
Allowed values: new open claimed resolved canceled closed closedworating onGoingVideoCall videoCallEnded waitingforrating waitingForInfo waitingForSwap
createdAt

The date and time the consultation was created in Abi.

string format: date-time
questions

The medical questions and, when available, their answers and professional information.

Array<object>
<= 3 items
object
question

The question submitted by the user.

string
answer

The response provided by the healthcare professional

string
attachments

Images or documents provided through the approved journey.

Array<string>
professional

Information about the professional who resolved a consultation, when available.

object
name
string
title
string
specialties
Array<string>
licenses
Array<object>
object
licenseNumber
string
countries
Array<string>
profileUrl
string format: uri
createdAt

Time this question was recorded.

string format: date-time
rating

User rating recorded when the consultation was closed.

number
>= 1 <= 5
lastClaim

The healthcare professional associated with the latest claim

object
professional

Information about the professional who resolved a consultation, when available.

object
name
string
title
string
specialties
Array<string>
licenses
Array<object>
object
licenseNumber
string
countries
Array<string>
profileUrl
string format: uri
indicationSurveyUrl

Short-lived URL for the completed indication survey

string format: uri
caseConsultationPdf

A consultation document that is available to retrieve.

object
status
string
Allowed values: CREATING CREATED
type
string
Allowed values: PDF
url

Short-lived download URL when the file is ready.

string format: uri
paymentInformation

Payment information returned for consultations that require a user payment.

object
userIsRequiredToPay

Whether payment is required before the consultation can proceed.

boolean
url

Payment URL when payment is required.

string format: uri
price

Price of the consultation

number
currency

ISO 4217 currency code

string
medicalAdvice

Structured medical-advice classification when it is available for the consultation.

object
therapy
string
therapyKey
string
referral
string
referralKey
string
outcome
string
category
integer
sickNotes

Sick notes issued for this consultation when available.

Array<object>
object
key
additional properties
any
referrals

Referrals issued for this consultation when available.

Array<object>
object
key
additional properties
any
Example
{
"consultationId": "8910zyx321cba",
"status": "canceled",
"userId": "abi12345",
"createdAt": "2025-08-28T10:12:30.000Z",
"questions": [
{
"question": "I have a burning sensation after dinner. Could this be acid reflux?",
"attachments": []
}
],
"lastClaim": {}
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}